# navigation.h File Reference

`#include <glibmm.h>`
`#include <gst/interfaces/navigation.h>`
`#include <glibmm/interface.h>`

Go to the source code of this file.

## Classes

class | Gst::Navigation
| Gst::Naviagtion - Interface for elements that provide navigation functionality. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum

Gst::NavigationCommand {
Gst::NAVIGATION_COMMAND_INVALID = 0,
Gst::NAVIGATION_COMMAND_MENU1 = 1,
Gst::NAVIGATION_COMMAND_MENU2 = 2,
Gst::NAVIGATION_COMMAND_MENU3 = 3,
Gst::NAVIGATION_COMMAND_MENU4 = 4,
Gst::NAVIGATION_COMMAND_MENU5 = 5,
Gst::NAVIGATION_COMMAND_MENU6 = 6,
Gst::NAVIGATION_COMMAND_MENU7 = 7,
Gst::NAVIGATION_COMMAND_LEFT = 20,
Gst::NAVIGATION_COMMAND_RIGHT = 21,
Gst::NAVIGATION_COMMAND_UP = 22,
Gst::NAVIGATION_COMMAND_DOWN = 23,
Gst::NAVIGATION_COMMAND_ACTIVATE = 24,
Gst::NAVIGATION_COMMAND_PREV_ANGLE = 30,
Gst::NAVIGATION_COMMAND_NEXT_ANGLE = 31
}